Lightroom Mobile not compatible with Sony Xperia Tablet Z

  • 1
  • Problem
  • Updated 3 months ago
  • Not a Problem
I recently bought an Xperia Tablet Compact Z so as to edit my photos on the go. It perfectly meets the requirements on https://helpx.adobe.com/mobile-apps/h... but it still cannot be installed ("Your device is not compatible with this Version"). Whst should I do to enable this installation?
Thanks in advance.
Photo of Alejandro Draper

Alejandro Draper

  • 2 Posts
  • 0 Reply Likes
  • extremely disappointed

Posted 3 months ago

  • 1
Photo of Rikk Flohr

Rikk Flohr, Official Rep

  • 4437 Posts
  • 871 Reply Likes
Greetings Alejandro, 

What version of OS is currently installed on your tablet? Have you checked for updates?
Photo of Alejandro Draper

Alejandro Draper

  • 2 Posts
  • 0 Reply Likes
It is on 4.3, and there are now updates available. Can I make it work still?
Photo of Rikk Flohr

Rikk Flohr, Official Rep

  • 4437 Posts
  • 871 Reply Likes

Recommended system requirements

  • Processor: Quad Core CPU with 2.2 GHz frequency and ARMv8 architecture
  • RAM: 4 GB and above
  • Internal storage: 8 GB and above
  • Android OS version: 5.x (Lollipop) and later
Here are the minimum specs for Lightroom for mobile - Android - as you can see, your OS doesn't meet the minimum. If all components are at minimum specifications and then you perform your Android update you should be functional. 

Please review: https://helpx.adobe.com/mobile-apps/help/lightroom-mobile-faq.html  if you have any questions.